﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RobotSimulation.RobotSimulation
{
    class Line
    {
        public Point start;
        public Point end;
        public const double width = 1;

        public Line(Point start, Point end)
        {
            this.start = start;
            this.end = end;
        }

        public Line(double x1, double y1, double x2,double y2) :  this(new Point(x1, y1), new Point(x2, y2))
        {
        }

        public bool isPointOnLine(Point p)
        {

            return false;
        }

        public double lineFacing()
        {
            double x = this.end.x - this.start.x;
            double y = this.end.y - this.start.y;
            return Math.Atan2(y, x);
        }


    }
}
